
local HideTargetFrame = {
	name = "HideTargetFrame",
	addonVersion = 1.1,
}

-----------------------------------------------------------------------------------------
--  OnAddOnLoaded  --
-----------------------------------------------------------------------------------------
local function OnAddOnLoaded(_event, _sAddonName)
	if _sAddonName == HideTargetFrame.name then
		HideTargetFrame:Initialize()
	end
end
-----------------------------------------------------------------------------------------
--  Initialize Function --
-----------------------------------------------------------------------------------------
function HideTargetFrame:Initialize()
	ZO_UnitFrames:RegisterForEvent(EVENT_PLAYER_COMBAT_STATE, function(eventCode, bInCombat) 
		UNIT_FRAMES:SetFrameHiddenForReason("reticleover", "combatstate", not bInCombat)
		ZO_UnitFrames_UpdateWindow("reticleover", true)
		end)
	UNIT_FRAMES:SetFrameHiddenForReason("reticleover", "combatstate", true)

	EVENT_MANAGER:UnregisterForEvent(HideTargetFrame.name, EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent(HideTargetFrame.name, EVENT_ADD_ON_LOADED, OnAddOnLoaded)
	